package smash.appointment.parse;

public enum AppointmentTypeCollection {
	LEVEL_A_BV_BG(new AppointmentType[] { AppointmentType.LEVEL_ANP, AppointmentType.LEVEL_BV, AppointmentType.LEVEL_BG }, //
			new String[] { "BV + BG + neuro level A" }), //
	LEVEL_A_B(new AppointmentType[] { AppointmentType.LEVEL_ANP, AppointmentType.LEVEL_B }, //
			new String[] { "level B + level A neuro" }), //
	
	LEVEL_B_BV_SB(new AppointmentType[] { AppointmentType.LEVEL_B, AppointmentType.LEVEL_BV, AppointmentType.LEVEL_SB }, //
			new String[] { "level B + BV + SB" }), //

	LEVEL_B_BV_BG(new AppointmentType[] { AppointmentType.LEVEL_B, AppointmentType.LEVEL_BV, AppointmentType.LEVEL_BG }, //
			new String[] { "level B + BV + BG" }), //

	LEVEL_B_BG(new AppointmentType[] { AppointmentType.LEVEL_B, AppointmentType.LEVEL_BG }, //
			new String[] { "level B + BG" }), //

	LEVEL_B_BV(new AppointmentType[] { AppointmentType.LEVEL_B, AppointmentType.LEVEL_BV }, //
			new String[] { "level B + BV" }), //

	LEVEL_BV_BG_SB_MPOWER(
			new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_BG, AppointmentType.LEVEL_SB, AppointmentType.LEVEL_B_M_POWER, }, //
			new String[] { "evel BV + BG + SB + mPower", "BV + BG + SB + mPower" }), //
	
	LEVEL_BG_SB_MPOWER(
			new AppointmentType[] { AppointmentType.LEVEL_BG, AppointmentType.LEVEL_SB, AppointmentType.LEVEL_B_M_POWER, }, //
			new String[] { "level BG + SB + mPower" }), //
	LEVEL_BV_BG_SB(new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_BG, AppointmentType.LEVEL_SB }, //
			new String[] { "evel BV + BG + SB", "BV + BG + SB" }), //
	LEVEL_BV_SB_NEURO(new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_SB, AppointmentType.LEVEL_AN }, //
			new String[] { "BV + SB + neuro" }), //
	LEVEL_BV_SB_M_POWER(new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_SB, AppointmentType.LEVEL_B_M_POWER}, //
			new String[] { "BV + SB + mPower" }), //
	LEVEL_BV_SB(new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_SB }, //
			new String[] { "evel BV + SB", "BV + SB" }), //
	LEVEL_BV_BG(new AppointmentType[] { AppointmentType.LEVEL_BV, AppointmentType.LEVEL_BG }, //
			new String[] { "evel BV + BG", "BV + BG" }), //
	LEVEL_BG_SB(new AppointmentType[] { AppointmentType.LEVEL_BG, AppointmentType.LEVEL_SB }, //
			new String[] { "evel BG + SB", "BG + SB" }), //
	LEVEL_BV(new AppointmentType[] { AppointmentType.LEVEL_BV }, //
			new String[] { "evel BV", "BV" }), //
	LEVEL_BG(new AppointmentType[] { AppointmentType.LEVEL_BG }, //
			new String[] { "evel BG", "BG" }), //
	LEVEL_SB(new AppointmentType[] { AppointmentType.LEVEL_SB }, //
			new String[] { "evel SB", "SB" }), //

	LEVEL_A_TQ(new AppointmentType[] { AppointmentType.LEVEL_A_TQ }, //
			new String[] { "TQ" }), //
	LEVEL_A(new AppointmentType[] { AppointmentType.LEVEL_AWELC, AppointmentType.LEVEL_AN, AppointmentType.LEVEL_ANP, AppointmentType.LEVEL_AQUEST, AppointmentType.LEVEL_ASAMP,  }, //
			new String[] { "level A" }), //
	LEVEL_B(new AppointmentType[] { AppointmentType.LEVEL_B }, //
			new String[] { "evel B" }), //
	LEVEL_B_M_POWER(new AppointmentType[] { AppointmentType.LEVEL_B_M_POWER }, //
			new String[] { "mPower" }), //
	OTHER(new AppointmentType[] {AppointmentType.OTHER}, //
			new String[] {}), //
	;
	private String[]					queryStrings;
	private AppointmentType[]	types;

	private AppointmentTypeCollection(AppointmentType[] types, String[] queryStrings) {
		this.queryStrings = queryStrings;
		this.types = types;
	}

	/**
	 * @return the queryStrings
	 * @see #queryStrings
	 */
	public String[] getQueryStrings() {
		return queryStrings;
	}

	/**
	 * @return the types
	 * @see #types
	 */
	public AppointmentType[] getTypes() {
		return types;
	}

}
