"""smash URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url

from web.api_views import worker, location, subject, appointment_type, appointment, configuration

urlpatterns = [
    # appointments
    url(r'^appointments/(?P<type>[A-z]+)$', appointment.appointments, name='web.api.appointments'),

    # appointment types
    url(r'^appointment_types$', appointment_type.appointment_types, name='web.api.appointment_types'),

    # configuration items
    url(r'^configuration_items$', configuration.configuration_items, name='web.api.configuration_items'),
    url(r'^configuration_items/update$', configuration.update_configuration_item,
        name='web.api.update_configuration_item'),

    # subjects data
    url(r'^cities$', subject.cities, name='web.api.cities'),
    url(r'^countries$', subject.countries, name='web.api.countries'),
    url(r'^referrals$', subject.referrals, name='web.api.referrals'),
    url(r'^subjects/(?P<type>[A-z]+)$', subject.subjects, name='web.api.subjects'),

    # locations
    url(r'^locations$', location.locations, name='web.api.locations'),

    # worker data
    url(r'^specializations$', worker.specializations, name='web.api.specializations'),
    url(r'^units$', worker.units, name='web.api.units'),
]
