# coding=utf-8
from django.db import models


class Holiday(models.Model):
    class Meta:
        app_label = 'web'

    person = models.ForeignKey("web.Worker", on_delete=models.CASCADE,
                               verbose_name='Worker'
                               )
    datetime_start = models.DateTimeField(
        verbose_name='On leave since'
    )
    datetime_end = models.DateTimeField(
        verbose_name='On leave until'
    )

    def __str__(self):
        return "%s %s" % (self.person.first_name, self.person.last_name)

    def __unicode__(self):
        return "%s %s" % (self.person.first_name, self.person.last_name)
